Subject: Re: bug#21264: timeout 0 behaviour

From: "Kuchta, Tomasz" <[email-masked]>
Date: Sat, 15 Aug 2015 16:52:33 +0000

Oh, yes - my bad. I’ve checked only on the linux man page.
Thank you,

Tomek

> On 15 Aug 2015, at 14:45, Pádraig Brady <[email-masked]> wrote:
> 
> tag 21264 notabug
> close 21264
> stop
> 
> On 15/08/15 09:22, Kuchta, Tomasz wrote:
>> Dear Coreutils developers,
>> 
>> I’ve noticed that the timeout tool does not terminate the program being run, if the specified timeout is 0.
>> I was wondering whether that’s an expected behaviour.
>> 
>> I’ve tried it under Ubuntu 14.04, with timeout version 9.21.
>> The test command I used was:
>> timeout 0 find / -type f
>> 
>> Thank you,
>> Tomek
>> 
> 
> http://www.gnu.org/software/coreutils/timeout states that
> 
> "A duration of 0 disables the associated timeout."
> 
> thanks,
> Pádraig.